// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIRectangle.hpp"

using namespace Dawn;

std::vector<struct UIQuad> UIRectangle::getSelfQuads(
  const glm::mat4 transform
) {
  std::vector<struct UIQuad> quads;
  
  quads.push_back(UIQuad(
    transform,
    glm::vec4(0,0,size.x,size.y),
    uv,
    color,
    texture
  ));

  return quads;
}